#!/bin/sh
debug=no
die () {
  echo "*** configure: $*" 1>&2
  exit 1
}
msg () {
  echo "[configure] $*"
}
while [ $# -gt 0 ]
do
  case $1 in
    -h) echo "usage: ./configure [-h][-g]"; exit 0;;
    -g) debug=yes;;
    *) die "invalid command line option '$1' (try '-h')";;
  esac
  shift
done
CC="gcc"
CFLAGS="-DVERSION=\\\\\"`cat VERSION`\\\\\" -Wall"
if [ $debug = yes ]
then
  CFLAGS="$CFLAGS -g"
else
  CFLAGS="$CFLAGS -DNDEBUG -O3"
fi
echo "$CC $CFLAGS"
rm -f makefile
sed -e "s,@CC@,$CC," -e "s,@CFLAGS@,$CFLAGS," makefile.in > makefile
